Google Forums API

Access real-time forum discussions from Google Search with the Google Forums API. Fetch conversations from platforms like Reddit, Stack Exchange, and other communities, and get clean, structured data including titles, links, sources, snippets, and dates in a simple JSON response.

triangle-exclamation

POST https://api.serphouse.com/google-forums-api

Path Parameters

Name
Type
Description

responseType

String

responseType can be 'html' or 'json'

Headers

Name
Type
Description

Authorization*

String

Bearer <YOUR_API_KEY>

Content-Type*

String

application/json

Request Body

Name
Type
Description

q*

string

Search phrase that you want to search

domain*

string

Choose google domain.

device*

string

Device can be desktop To extract desktop result mobile To extract mobile result

lang*

string

You can set language for e.g. en for english fr for french. Get the list of available languages by making a separate request to the List of Language

loc*

string

Optional field if you specify loc_id You must choose one of the fields: loc_id or loc You can receive the list of available locations of search engines with their loc_id by making a separate request to the List of Locations

loc_id*

integer

Optional field if you specify loc you must choose one of the fields: loc_id or loc You can receive the list of available locations of search engines with their loc_id by making a separate request to the List of Locations

date_range

String

Sometimes you may want to only find information published during a specific time frame. To limit Google results by date

Parameter values can be comma seprated date range YYYY-MM-DD,YYYY-MM-DD OR

h Past hour

d Past 24 hours

w Past week

m Past month

y Past year

page

integer

Give specific page to get the result of that page number. By default it will get you first pag

verbatim

integer

Set Google Verbatim search, Parameter value can be 0 or 1

Example request:

Last updated